Subject: Re: [PATCH v3] teach fast-export an --anonymize option

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Aug 2014 11:43:29 -0700

Ramsay Jones <[email-masked]> writes:

> Dumb question (I have not even read the patch, so please just ignore me
> if this is indeed dumb!): Is the map of <original-name, anonymized-name>
> available to the user while he attempts to confirm that the bug is still
> present?
>
> For example, if I anonymized git.git, and did 'git branch -v' (say), how
> easy would it be for me to recognise which branch was 'next'?

It is not dumb but actually is a very good point.

There needs an easy way for the reporting user to turn an
observation such as "When I do 'git log master..next' I see this one
extraneous commit shown" into a corresponding statement to accompany
the anonymised output.  The user needs it to make sure that the
symptom reproduces in the anonymised repository in order to decide
if it is even worthwhile to send the output for analysis in the
first place.